<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:44 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>RegistrationPacketVirusScanJob (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RegistrationPacketVirusScanJob (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RegistrationPacketVirusScanJob.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/jobs/impl/RegistrationPacketSyncJob.html" title="class in io.mosip.registration.jobs.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../io/mosip/registration/jobs/impl/RegUserMappingSyncJob.html" title="class in io.mosip.registration.jobs.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/jobs/impl/RegistrationPacketVirusScanJob.html" target="_top">Frames</a></li>
<li><a href="RegistrationPacketVirusScanJob.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.io.mosip.registration.jobs.BaseJob">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.jobs.impl</div>
<h2 title="Class RegistrationPacketVirusScanJob" class="title">Class RegistrationPacketVirusScanJob</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.springframework.scheduling.quartz.QuartzJobBean</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../io/mosip/registration/jobs/BaseJob.html" title="class in io.mosip.registration.jobs">io.mosip.registration.jobs.BaseJob</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.jobs.impl.RegistrationPacketVirusScanJob</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.quartz.Job</dd>
</dl>
<hr>
<br>
<pre>@Component(value="registrationPacketVirusScanJob")
public class <span class="typeNameLabel">RegistrationPacketVirusScanJob</span>
extends <a href="../../../../../io/mosip/registration/jobs/BaseJob.html" title="class in io.mosip.registration.jobs">BaseJob</a></pre>
<div class="block">This is a job to scan the Registration packets for viruses</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>SARAVANAKUMAR G</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.io.mosip.registration.jobs.BaseJob">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;io.mosip.registration.jobs.<a href="../../../../../io/mosip/registration/jobs/BaseJob.html" title="class in io.mosip.registration.jobs">BaseJob</a></h3>
<code><a href="../../../../../io/mosip/registration/jobs/BaseJob.html#applicationContext">applicationContext</a>, <a href="../../../../../io/mosip/registration/jobs/BaseJob.html#jobId">jobId</a>, <a href="../../../../../io/mosip/registration/jobs/BaseJob.html#jobManager">jobManager</a>, <a href="../../../../../io/mosip/registration/jobs/BaseJob.html#jobMap">jobMap</a>, <a href="../../../../../io/mosip/registration/jobs/BaseJob.html#responseDTO">responseDTO</a>, <a href="../../../../../io/mosip/registration/jobs/BaseJob.html#syncManager">syncManager</a>, <a href="../../../../../io/mosip/registration/jobs/BaseJob.html#triggerPoint">triggerPoint</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/impl/RegistrationPacketVirusScanJob.html#RegistrationPacketVirusScanJob--">RegistrationPacketVirusScanJob</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/impl/RegistrationPacketVirusScanJob.html#executeInternal-org.quartz.JobExecutionContext-">executeInternal</a></span>(org.quartz.JobExecutionContext&nbsp;context)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/impl/RegistrationPacketVirusScanJob.html#executeJob-java.lang.String-java.lang.String-">executeJob</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId)</code>
<div class="block">To execute the specified Job invocation</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.io.mosip.registration.jobs.BaseJob">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;io.mosip.registration.jobs.<a href="../../../../../io/mosip/registration/jobs/BaseJob.html" title="class in io.mosip.registration.jobs">BaseJob</a></h3>
<code><a href="../../../../../io/mosip/registration/jobs/BaseJob.html#addToCompletedJobMap-java.lang.String-java.lang.String-">addToCompletedJobMap</a>, <a href="../../../../../io/mosip/registration/jobs/BaseJob.html#clearCompletedJobMap--">clearCompletedJobMap</a>, <a href="../../../../../io/mosip/registration/jobs/BaseJob.html#executeChildJob-java.lang.String-java.util.Map-">executeChildJob</a>, <a href="../../../../../io/mosip/registration/jobs/BaseJob.html#getCompletedJobMap--">getCompletedJobMap</a>, <a href="../../../../../io/mosip/registration/jobs/BaseJob.html#jobClass--">jobClass</a>, <a href="../../../../../io/mosip/registration/jobs/BaseJob.html#loadContext-org.quartz.JobExecutionContext-">loadContext</a>, <a href="../../../../../io/mosip/registration/jobs/BaseJob.html#removeCompletedJobInMap-java.lang.String-">removeCompletedJobInMap</a>, <a href="../../../../../io/mosip/registration/jobs/BaseJob.html#setApplicationContext-org.springframework.context.ApplicationContext-">setApplicationContext</a>, <a href="../../../../../io/mosip/registration/jobs/BaseJob.html#syncTransactionUpdate-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.lang.String-">syncTransactionUpdate</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.springframework.scheduling.quartz.QuartzJobBean">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.springframework.scheduling.quartz.QuartzJobBean</h3>
<code>execute</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RegistrationPacketVirusScanJob--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RegistrationPacketVirusScanJob</h4>
<pre>public&nbsp;RegistrationPacketVirusScanJob()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="executeInternal-org.quartz.JobExecutionContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executeInternal</h4>
<pre>@Async
public&nbsp;void&nbsp;executeInternal(org.quartz.JobExecutionContext&nbsp;context)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>executeInternal</code>&nbsp;in class&nbsp;<code>org.springframework.scheduling.quartz.QuartzJobBean</code></dd>
</dl>
</li>
</ul>
<a name="executeJob-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>executeJob</h4>
<pre>public&nbsp;<a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;executeJob(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
                              <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../io/mosip/registration/jobs/BaseJob.html#executeJob-java.lang.String-java.lang.String-">BaseJob</a></code></span></div>
<div class="block">To execute the specified Job invocation</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../io/mosip/registration/jobs/BaseJob.html#executeJob-java.lang.String-java.lang.String-">executeJob</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../io/mosip/registration/jobs/BaseJob.html" title="class in io.mosip.registration.jobs">BaseJob</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>triggerPoint</code> - the triggered person</dd>
<dd><code>jobId</code> - the job ID</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Response of execution</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RegistrationPacketVirusScanJob.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/jobs/impl/RegistrationPacketSyncJob.html" title="class in io.mosip.registration.jobs.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../io/mosip/registration/jobs/impl/RegUserMappingSyncJob.html" title="class in io.mosip.registration.jobs.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/jobs/impl/RegistrationPacketVirusScanJob.html" target="_top">Frames</a></li>
<li><a href="RegistrationPacketVirusScanJob.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.io.mosip.registration.jobs.BaseJob">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
